> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 2 Omni

> Video Generation using Seedance 2.0 Omni



## OpenAPI

````yaml /api-1(21).json post /v2/generation/seedance-2-omni
openapi: 3.0.3
info:
  title: Radin AI API docs
  description: '### Welcome to Radin AI API docs'
  version: '1.0'
  contact:
    name: Support
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: API base URL
security:
  - ApiKeyAuth: []
externalDocs:
  url: https://radinai.com/api-dashboard
  description: API Dashboard
paths:
  /v2/generation/seedance-2-omni:
    post:
      tags:
        - Video Generation
      summary: Seedance 2 Omni
      description: Video Generation using Seedance 2.0 Omni
      operationId: seedance-2-omni
      parameters:
        - name: webhookUrl
          in: query
          required: false
          schema:
            type: string
            description: >-
              Your Webhook URL, if specified, the result of the generation will
              be POSTed to this URL.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 0
                  maxLength: 5000
                  example: <your-prompt>
                duration:
                  type: string
                  enum:
                    - '4'
                    - '5'
                    - '6'
                    - '7'
                    - '8'
                    - '9'
                    - '10'
                    - '11'
                    - '12'
                    - '13'
                    - '14'
                    - '15'
                images:
                  maxItems: 9
                  type: array
                  items:
                    type: string
                    minLength: 1
                    example: >-
                      image download URL - or file name obtained from /upload
                      endpoint
                  description: >-
                    An array of image names or download URLs - if you don't have
                    a download URL, you can upload the file and get the file
                    name from the /upload endpoint.
                videos:
                  maxItems: 3
                  type: array
                  items:
                    type: string
                    minLength: 1
                    example: >-
                      video download URL - or file name obtained from /upload
                      endpoint
                  description: >-
                    An array of video names or download URLs - if you don't have
                    a download URL, you can upload the file and get the file
                    name from the /upload endpoint.
                audios:
                  maxItems: 3
                  type: array
                  items:
                    type: string
                    minLength: 1
                    example: >-
                      audio download URL - or file name obtained from /upload
                      endpoint
                  description: >-
                    An array of audio file names or download URLs - if you don't
                    have a download URL, you can upload the file and get the
                    file name from the /upload endpoint.
                aspectRatio:
                  type: string
                  enum:
                    - '21:9'
                    - '16:9'
                    - '4:3'
                    - '1:1'
                    - '3:4'
                    - '9:16'
                quality:
                  type: string
                  enum:
                    - '480'
                    - '720'
                    - '1080'
                    - 4K
              required:
                - prompt
                - duration
                - aspectRatio
                - quality
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - genId
                properties:
                  genId:
                    type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key, obtained from https://radinai.com/manage-api-keys

````